#ifndef ProtoGenWrapper_SetPreferedInterface_H
#define ProtoGenWrapper_SetPreferedInterface_H

#include <memory>

#include <Command.h>
namespace ProtoGenWrapper
{
	class ComInterface;

	class SetPreferedInterface : public OpenTestSystem::OtxDiagManager::Common::Command
	{
	public:
		SetPreferedInterface(const ComInterface& comInterface);
		SetPreferedInterface(const OpenTestSystem::OtxDiagManager::Common::Command& cmd);
		SetPreferedInterface() = delete;

		bool GetValues(ComInterface& comInterface);

		static int GetCommandType();
	};
}
#endif // ProtoGenWrapper_SetPreferedInterface_H
